org.hibernate.search.elasticsearch.schema.impl

## Class DefaultElasticsearchSchemaDropper

- java.lang.Object
- - org.hibernate.search.elasticsearch.schema.impl.DefaultElasticsearchSchemaDropper

- All Implemented Interfaces:
    ElasticsearchSchemaDropper

      public class DefaultElasticsearchSchemaDropper
      extends Object
      implements ElasticsearchSchemaDropper

  The default `ElasticsearchSchemaDropper` implementation.
  Author:
    Gunnar Morling, Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultElasticsearchSchemaDropper(ElasticsearchSchemaAccessor schemaAccessor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drop(URLEncodedString indexName, ExecutionOptions executionOptions)` Drops an index, throwing an exception if dropping fails.
    `void` | `dropIfExisting(URLEncodedString indexName, ExecutionOptions executionOptions)` Drops an index, throwing an exception if dropping fails.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultElasticsearchSchemaDropper

          public DefaultElasticsearchSchemaDropper(ElasticsearchSchemaAccessor schemaAccessor)

  - ### Method Detail

    - #### drop

          public void drop(URLEncodedString indexName,
                           ExecutionOptions executionOptions)

      Description copied from interface: `ElasticsearchSchemaDropper`
      Drops an index, throwing an exception if dropping fails.
      Specified by:
        `drop` in interface `ElasticsearchSchemaDropper`
      Parameters:
        `indexName` - The name of the index to drop.
        `executionOptions` - The execution options, giving more context information.

    - #### dropIfExisting

          public void dropIfExisting(URLEncodedString indexName,
                                     ExecutionOptions executionOptions)

      Description copied from interface: `ElasticsearchSchemaDropper`
      Drops an index, throwing an exception if dropping fails.

      This method will skip operations silently if the index does not exist.

      Specified by:
        `dropIfExisting` in interface `ElasticsearchSchemaDropper`
      Parameters:
        `indexName` - The name of the index to drop.
        `executionOptions` - The execution options, giving more context information.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved